From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/pelican/
Date: Sun, 19 May 2019 21:54:40 +0000 (UTC) [thread overview]
Message-ID: <1558302854.e1becde63b884e135156ca485f94b1adb0adefac.sping@gentoo> (raw)
commit: e1becde63b884e135156ca485f94b1adb0adefac
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 21:52:30 2019 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun May 19 21:54:14 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1becde6
app-text/pelican: 4.0.1 + EAPI 7
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.65, Repoman-2.3.12
app-text/pelican/Manifest | 1 +
app-text/pelican/pelican-4.0.1.ebuild | 54 +++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/app-text/pelican/Manifest b/app-text/pelican/Manifest
index 9e5e2f841e2..ce3e3778391 100644
--- a/app-text/pelican/Manifest
+++ b/app-text/pelican/Manifest
@@ -1,2 +1,3 @@
DIST pelican-3.7.1.tar.gz 784605 BLAKE2B 42adef016f54a931e4fef225af9a4c5c880b66c96660c2a34137a425f879688822ddc8bbc19805444bf2b49369c3dccf8a5303748ff9e7cbde3910d6ba501652 SHA512 9e04e6a2009cc134f74410d8c8349831467192e7524287e23cad0b68232f2b5dd04f5d98505222d71eb3441e466bccec1cafc7f6e3c6bfcb4c5e57e4ab0fadda
DIST pelican-4.0.0.tar.gz 1314626 BLAKE2B 18924209949b43063416f2e2c6e22a5524a36bab79a801f7cc6953c0822beb1bd5b05e715f5bcdb7c4877aba8d7a62cf4276e8abc43406f3c6fd7af8ef0c7c2f SHA512 5d98f5e13e6dde6b27cc299f9fb166edec79efb3fc53b29567218e0d0ba164989ce51830029ec8359697bc039661f6b0ced8d4155105e29098c038840c97d253
+DIST pelican-4.0.1.tar.gz 1314716 BLAKE2B 1fbe01f5df7f1c730d7a45429369311f77c7e8e278a05cc037e03d8193dc2ae9075ee1346fea072a08ee5d73baf9aaed8c1f8f210fd4331754accca9ebffa4da SHA512 26f91046124bb92de6fa31d17ab89f743cf9408c15b9b259875e2378342133313368418da083d1d4abc5de0537806a9dede327719c8fcf89d135805c47618a4a
diff --git a/app-text/pelican/pelican-4.0.1.ebuild b/app-text/pelican/pelican-4.0.1.ebuild
new file mode 100644
index 00000000000..c165da40c9a
--- /dev/null
+++ b/app-text/pelican/pelican-4.0.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool to generate a static blog, with restructured text or markdown input files"
+HOMEPAGE="https://blog.getpelican.com/ https://pypi.org/project/pelican/"
+SRC_URI="https://github.com/getpelican/pelican/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples markdown test"
+
+DEPEND=">=dev-python/feedgenerator-1.9[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.7[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/unidecode[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ markdown? ( dev-python/markdown[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ )"
+RDEPEND=""
+RESTRICT="test"
+
+DOCS=( README.rst )
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ if use examples; then
+ insinto "/usr/share/doc/${PF}"
+ docompress -x "/usr/share/doc/${PF}/samples"
+ doins -r samples
+ fi
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ nosetests || die "Testing failed with ${EPYTHON}"
+}
next reply other threads:[~2019-05-19 21:54 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-05-19 21:54 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-17 14:24 [gentoo-commits] repo/gentoo:master commit in: app-text/pelican/ Michał Górny
2024-11-23 15:05 Michał Górny
2024-09-08 12:43 Petr Vaněk
2023-12-28 4:41 Sam James
2023-12-12 23:05 Sebastian Pipping
2023-11-13 0:31 Sebastian Pipping
2023-10-20 13:33 Michał Górny
2023-02-22 16:00 Sam James
2023-02-22 16:00 Sam James
2022-12-21 22:47 Sam James
2022-12-18 20:17 Arthur Zamarin
2022-07-12 11:01 Sam James
2022-07-12 10:44 Sam James
2022-07-12 10:39 Sam James
2022-07-12 10:39 Sam James
2022-05-31 10:43 Sam James
2022-05-31 6:47 Joonas Niilola
2022-05-31 6:47 Joonas Niilola
2022-05-31 2:57 Sam James
2022-04-29 4:49 Sam James
2022-04-24 11:06 Jakov Smolić
2022-04-10 17:13 Sam James
2022-03-29 8:13 Dirkjan Ochtman
2021-05-31 20:22 Michał Górny
2021-02-06 21:47 Sam James
2020-12-14 8:03 Sam James
2020-12-04 19:39 Thomas Deutschmann
2020-12-03 15:07 Sam James
2020-11-05 21:10 Dirkjan Ochtman
2020-11-05 21:10 Dirkjan Ochtman
2020-05-09 7:48 Agostino Sarubbo
2020-05-09 7:40 Agostino Sarubbo
2020-01-29 2:58 Matthew Thode
2020-01-20 9:24 Dirkjan Ochtman
2019-10-08 21:02 Aaron Bauman
2019-03-20 19:36 Dirkjan Ochtman
2019-03-20 19:32 Dirkjan Ochtman
2018-06-25 9:53 Jason Zaman
2018-06-24 16:21 Pacho Ramos
2018-04-30 8:15 Dirkjan Ochtman
2017-12-12 21:46 Daniel Campbell
2017-01-18 18:14 Mike Frysinger
2017-01-18 11:29 Agostino Sarubbo
2017-01-02 12:36 Daniel Campbell
2016-06-14 9:50 Daniel Campbell
2016-06-14 9:50 Daniel Campbell
2016-05-03 3:41 Ian Delaney
2016-05-03 3:41 Ian Delaney
2015-11-09 9:12 Agostino Sarubbo
2015-09-20 8:47 Dirkjan Ochtman
2015-09-20 8:44 Dirkjan Ochtman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1558302854.e1becde63b884e135156ca485f94b1adb0adefac.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox